Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #819

Playlist search in Qt5 is really slow on huge playlists
August 12, 2018 02:13 - Enne Eziarc

Status: Closed Start date: August 12, 2018
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/qtui Estimated time: 0.00 hour
Target version: 3.10.1

Affects version: 3.10

Description

I've got a playlist with just under 150 thousand entries. In Qt5, each keystroke in the Ctrl+F box freezes the Ul for several seconds
until the results are whittled down to about 10k or less.

In GTK2 the search is instant, which | can understand for the plain Ul (it only does a one-at-a-time search, not the same thing) but it's
just as fast in the winamp Ul too.

History

#1 - August 14, 2018 14:36 - John Lindgren

It certainly doesn't seem like it should be that slow, even to filter the entire playlist. When | have some time, I'll run it under Valgrind and try to find out
where the bottleneck is.

#2 - September 05, 2018 03:45 - John Lindgren
- % Done changed from 0 to 100

- Target version set to 3.10.1

- Status changed from New to Closed

- Category set to plugins/qtui

This change makes a huge improvement (nearly 10x) for me with a playlist of 50,000 entries:
https://github.com/audacious-media-player/audacious-plugins/commit/9d162207ef01c5972e4bb718d390c494f0ad0241

| think that's about as good as it's going to get, so I'll go ahead and close this. If it still seems slow to you, and you have a suggestion for improving it
further, I'd be interested.

May 03, 2025 1/1



https://github.com/audacious-media-player/audacious-plugins/commit/9d162207ef01c5972e4bb718d390c494f0ad0241
http://www.tcpdf.org

